FileControllerCheckOut Method (Guid, NullableGuid) |
PUT /File/CheckOut/{id}/
Checks out the file with the specified ID to the caller.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("CheckOut")]
public IActionResult CheckOut(
Guid id,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("CheckOut")>
Public Function CheckOut (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"CheckOut")]
IActionResult^ CheckOut(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("CheckOut")>]
member CheckOut :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the file to check out. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
A
CheckOutResultData, or a status code indicating the reason for failure.
See Also